#
# spec file for package libopflex
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define libsoname libopflex0
Name:           libopflex
Version:        1.7.0
Release:        2.1
Summary:        A framework for developing opflex-based policy agents
License:        EPL-1.0
Group:          Development/Libraries/C and C++
Url:            https://wiki.opendaylight.org/view/OpFlex:Main
Source:         https://nexus.opendaylight.org/content/repositories/opendaylight.release/org/opendaylight/opflex/%{name}/%{version}/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM fix-compilation https://git.opendaylight.org/gerrit/#/c/78469/
Patch0:         0001-Fix-compilation-problem-when-using-cmake.patch
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  libuv-devel
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig
BuildRequires:  rapidjson-devel >= 1.0
%if 0%{?suse_version} > 1320
BuildRequires:  libboost_headers-devel
BuildRequires:  libboost_test-devel
%else
BuildRequires:  boost-devel
%endif

%description
The OpFlex project seeks to provide reference implementations of the OpFlex
protocol, which is a protocol for implementing a distributed control system
based on a declarative policy model.

%package -n %{libsoname}
Summary:        A framework for developing opflex-based policy agents
Group:          Development/Libraries/C and C++

%description -n %{libsoname}
The OpFlex project seeks to provide reference implementations of the OpFlex
protocol, which is a protocol for implementing a distributed control system
based on a declarative policy model.

%package devel
Summary:        Development libraries for libopflex
Group:          Development/Libraries/C and C++
Requires:       %{libsoname} = %{version}

%description devel
The OpFlex project seeks to provide reference implementations of the OpFlex
protocol, which is a protocol for implementing a distributed control system
based on a declarative policy model.
This package contains the development files.

%prep
%setup -q
%patch0 -p1

%build
%configure --docdir=%{_docdir}/%{name} --disable-assert --disable-tests-make-all
make %{?_smp_mflags}

%install
%make_install

rm %{buildroot}/%{_libdir}/libopflex.a
rm %{buildroot}/%{_libdir}/libopflex.la

%post -n %{libsoname} -p /sbin/ldconfig
%postun -n %{libsoname} -p /sbin/ldconfig

%files -n %{libsoname}
%{_libdir}/%{name}.so.*

%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/opflex/
%doc %{_docdir}/libopflex/

%changelog
* Tue Dec 11 2018 mmnelemane@suse.com
- Update to version 1.7.0
  * No explicit ChangeLog provided by upstream
- Added patch 0001-add_missing_boost_include.patch
  fixes compilation error with current boost library (1_67 and later)
* Thu Sep 28 2017 rpm@fthiessen.de
- Update to 1.5.0
  * Fix race condition for object update notification
    while shutting down framework.
  * Add support for vlan trunking for endpoints on access bridge.
  * Allow running libopflex with an external main loop
  * Fix accidental conversion of uint16_t to size_t for writing
    IdGen files.
  * Fix regression in vmName popluation.
  * Fix issue where genie runs would randomly fail with an IAE
  * Fix for SSL peer client verification. Previously, it was not
    possible to disable certificate validation
    for an OpFlex client.
- Dropped upstream merged 0001-Fix-return-values-for-functions.patch
* Thu Apr 21 2016 tbechtold@suse.com
- Fix Requires
- Use correct Source url
* Wed Apr 20 2016 tbechtold@suse.com
- Initial packaging (version 1.2.0)
